package net.wanji.utc.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Pattern;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/18 17:15
 */
@Data
@ApiModel(value = "CrossSchedulesDTO", description = "查询时间表数据输入参数")
public class CrossSchedulesDTO {
    @ApiModelProperty(value = "厂商代码 HK")
    @NotBlank
    @Pattern(regexp = "^[A-Z]*$", message = "厂商代码只能包含大写英文字母")
    String manufacturerCode;

    @ApiModelProperty(value = "路口列表")
    @NotEmpty
    List<String> crossIdList;
}
