package net.wanji.utc.dto.systemadmin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/25 10:21
 */
@Data
@ApiModel(value = "CrossInfoInsertOrUpdateDTO", description = "信号机新增或修改输入参数")
public class CrossInfoInsertOrUpdateDTO {
    @ApiModelProperty(value = "路口ID。不传ID为新增，传ID为修改",notes = "")
    private String id ;
    /** 信号机编号 */
    @ApiModelProperty(required = true, value = "信号机编号",notes = "")
    private String code ;
    /** 路口名称 */
    @ApiModelProperty(required = true, value = "路口名称",notes = "")
    private String name ;
    /** 信号机IP/端口 */
    @ApiModelProperty(required = true, value = "信号机IP/端口",notes = "")
    private String ipPort ;
    /** 厂商名称 */
    @ApiModelProperty(required = true, value = "厂商名称",notes = "")
    private String manufacturerNick ;
    /** 信号机版本 */
    @ApiModelProperty(required = true, value = "信号机版本",notes = "")
    private String version ;
    /** 信号机型号 */
    @ApiModelProperty(required = true, value = "信号机型号",notes = "")
    private String model ;
    /** 安装时间 */
    @ApiModelProperty(required = true, value = "安装时间，格式 2022-11-18 10:11:47",notes = "")
    private String installTime ;
    /** 安装位置 */
    @ApiModelProperty(required = true, value = "安装位置",notes = "")
    private String location ;
}
