package net.wanji.utc.mapper;

import net.wanji.utc.po.CrossInfoPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/15 14:57
 */
public interface CrossInfoMapper {
    CrossInfoPO selectByPrimaryKey(@Param("key") String key);

    void insertBatch(@Param("entities") List<CrossInfoPO> crossInfoPOList);

    List<String> selectCrossCodesByIds(@Param("entities") List<String> crossIdList);

    String selectIdByCodeAndManufacturerId(@Param("crossCode") String crossCode,
                                           @Param("manufacturerId")Integer manufacturerId);

    List<CrossInfoPO> selectByManufacturerId(@Param("manufacturerId") Integer manufacturerId);

    List<CrossInfoPO> selectByOptionals(@Param("crossName") String crossName,
                                        @Param("manufacturerId") Integer manufacturerId);

    void insertOne(CrossInfoPO crossInfoPO);

    void updateOne(CrossInfoPO crossInfoPO);

    void deleteBatch(@Param("ids") List<String> ids);

    void updateOneByCodeAndManufacturerId(CrossInfoPO crossInfoPO);
}
