package net.wanji.utc.service.staticinfo;

import net.wanji.utc.dto.CrossInfoDTO;
import net.wanji.utc.dto.CrossSchedulesDTO;
import net.wanji.utc.po.CrossInfoPO;
import net.wanji.utc.dto.PlanSectionDTO;
import net.wanji.utc.dto.SchemePhaseLightsDTO;
import net.wanji.utc.po.CrossSchedulesPO;
import net.wanji.utc.vo.PlanSectionVO;
import net.wanji.utc.vo.SchemePhaseLightsVO;

import java.util.List;

public interface StaticInfoService {

    List<CrossInfoPO> crossBasicInfo(CrossInfoDTO crossInfoDTO) throws Exception;

    void schemePhaseLights(SchemePhaseLightsDTO schemePhaseLightsDTO) throws Exception;

    void planSection(PlanSectionDTO planSectionDTO) throws Exception;

    void crossSchedules(CrossSchedulesDTO crossSchedulesDTO) throws Exception;

    SchemePhaseLightsVO buildSchemePhaseLightsResponse(SchemePhaseLightsDTO schemePhaseLightsDTO);

    PlanSectionVO buildPlanSectionResponse(String crossId);

    PlanSectionVO buildPlanSectionResponse(String crossId, Integer planNo);

    List<CrossSchedulesPO> buildCrossSchedulesResponse(List<String> crossIdList);
}
