package net.wanji.utc.service.staticinfo;

import net.wanji.utc.common.Result;
import net.wanji.utc.po.CrossSchedulesPO;
import net.wanji.utc.service.rpc.RpcService;
import net.wanji.utc.vo.PlanSectionVO;
import net.wanji.utc.vo.SchemePhaseLightsVO;

import java.util.List;

/**
 * @author duanruiming
 * @date 2023/01/09 9:20
 */
public interface WanJiCommonStaticInfoService extends RpcService {

    /**
     * 静态参数，获取万集标准方案数据-方案信息、相位信息、灯组信息
     *
     * @param crossId
     * @param signalId
     * @return
     */
    Result<SchemePhaseLightsVO> schemePhaseLights(String crossId, String signalId);

    /**
     * 静态参数，获取计划数据-计划信息、时段信息
     * @param crossId
     * @param planNo
     * @param signalId
     * @return
     */
    Result<PlanSectionVO> planSection(String crossId, String signalId, Integer planNo);

    /**
     * 静态参数，获取时间表数据
     * @param crossId
     * @param signalId
     * @return
     */
    Result<List<CrossSchedulesPO>> schedules(String crossId, String signalId);
}
