package net.wanji.utc.service.staticinfo.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;
import net.wanji.utc.common.commonentity.HttpRequest;
import net.wanji.utc.common.genericentity.ManufacturerRes;
import net.wanji.utc.service.staticinfo.OthersStaticInfoService;
import net.wanji.utc.util.HttpRestUtil;
import net.wanji.utc.util.StringUtils;
import net.wanji.utc.vo.DetailCrossInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpMethod;
import org.springframework.stereotype.Service;

/**
 * @author Kent HAN
 * @date 2022/11/16 11:03
 */
@Service
public class OthersStaticInfoServiceImpl implements OthersStaticInfoService {
    @Autowired
    private HttpRestUtil httpRestUtil;

    @Override
    public ManufacturerRes<DetailCrossInfoVO> crossBasicInfo(String manufacturerCode) {
        HttpRequest httpRequest = new HttpRequest(manufacturerCode, "queryCrossing");
        String result = httpRestUtil.doExecute(httpRequest.getUrl(), httpRequest.getHeaders(), HttpMethod.POST, null);
        if (StringUtils.isEmpty(result)) {
            return null;
        }
        return JSON.parseObject(result, new TypeReference<ManufacturerRes<DetailCrossInfoVO>>() {});
    }
}
