package net.wanji.utc.vo.systemadmin;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/25 10:03
 */
@Data
@ApiModel(value = "CrossInfoListVO", description = "信号机列表返回参数")
public class CrossInfoListVO {
    @ApiModelProperty(value = "路口ID",notes = "")
    private String id ;
    /** 路口名称 */
    @ApiModelProperty(value = "路口名称",notes = "")
    private String name ;
    /** 信号机编号 */
    @ApiModelProperty(value = "信号机编号",notes = "")
    private String code ;
    /** 信号机厂商 */
    @ApiModelProperty(value = "信号机厂商",notes = "")
    private String manufacturerNick ;
    /** 信号机IP */
    @ApiModelProperty(value = "信号机IP",notes = "")
    private String ip ;
    /** 信号机端口 */
    @ApiModelProperty(value = "信号机端口",notes = "")
    private Integer port ;
    /** 安装位置 */
    @ApiModelProperty(value = "安装位置",notes = "")
    private String location ;
    /** 版本号 */
    @ApiModelProperty(value = "版本号",notes = "")
    private String version ;
    /** 型号 */
    @ApiModelProperty(value = "型号",notes = "")
    private String model ;
    /** 安装时间 */
    @ApiModelProperty(value = "安装时间",notes = "")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date installTime ;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(value = "修改时间",notes = "")
    private Date gmtModified ;
}
